Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

thread_id
string
required

Body

application/json
role
enum<string>
required
Available options:
user,
assistant
content
required
attachments
object[] | null
metadata
object | null

Response

200 - application/json
id
string
required
object
enum<string>
required
Available options:
thread.message
created_at
integer
required
thread_id
string
required
status
enum<string>
required
Available options:
in_progress,
incomplete,
completed
incomplete_details
object | null
required
completed_at
integer | null
required
incomplete_at
integer | null
required
role
enum<string>
required
Available options:
user,
assistant
content
(Image file · object | Image URL · object | Text · object)[]
required
assistant_id
string | null
required
run_id
string | null
required
attachments
object[] | null
required
metadata
object | null
required
Last modified on September 17, 2026